libzypp: zypp::parser::susetags::ContentFileReader::Impl Struct Reference

libzypp 17.38.13

zypp::parser::susetags::ContentFileReader::Impl Struct Reference

ContentFileReader implementation. More...

## Public Member Functions
| Impl ()
RepoIndex & | repoindex ()
bool | hasRepoIndex () const
RepoIndex_Ptr | handoutRepoIndex ()
bool | setFileCheckSum (std::map< std::string, CheckSum > &map_r, const std::string &value) const

## Public Attributes
std::string | _inputname

## Private Attributes
RepoIndex_Ptr | _repoindex

## Detailed Description

ContentFileReader implementation.

Definition at line 81 of file ContentFileReader.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::parser::susetags::ContentFileReader::Impl::Impl | ( |  | ) |
| inline

Definition at line 84 of file ContentFileReader.cc.

## Member Function Documentation

## ◆ repoindex()

RepoIndex & zypp::parser::susetags::ContentFileReader::Impl::repoindex | ( |  | ) |
| inline

Definition at line 87 of file ContentFileReader.cc.

## ◆ hasRepoIndex()

bool zypp::parser::susetags::ContentFileReader::Impl::hasRepoIndex | ( |  | ) | const
| inline

Definition at line 94 of file ContentFileReader.cc.

## ◆ handoutRepoIndex()

RepoIndex_Ptr zypp::parser::susetags::ContentFileReader::Impl::handoutRepoIndex | ( |  | ) |
| inline

Definition at line 97 of file ContentFileReader.cc.

## ◆ setFileCheckSum()

bool zypp::parser::susetags::ContentFileReader::Impl::setFileCheckSum | ( | std::map< std::string, CheckSum > & | map_r,
|  | const std::string & | value ) const
| inline

Definition at line 106 of file ContentFileReader.cc.

## Member Data Documentation

## ◆ _inputname

std::string zypp::parser::susetags::ContentFileReader::Impl::_inputname

Definition at line 124 of file ContentFileReader.cc.

## ◆ _repoindex

RepoIndex_Ptr zypp::parser::susetags::ContentFileReader::Impl::_repoindex
| private

Definition at line 127 of file ContentFileReader.cc.

The documentation for this struct was generated from the following file:

- zypp/parser/susetags/ContentFileReader.cc